Loading...
Searching...
No Matches
MyMessageHandler Class Reference

`#include <MyMessageHandler.hpp>`

Inheritance diagram for MyMessageHandler:
[legend]
Collaboration diagram for MyMessageHandler:
[legend]

## Public Member Functions

Overrides
virtual int | print ()
set and get
const ClpSimplex * | model () const
| Model.
void | setModel (ClpSimplex *model)
const std::deque< StdVectorDouble > & | getFeasibleExtremePoints () const
| Get queue of feasible extreme points.
void | clearFeasibleExtremePoints ()
| Empty queue of feasible extreme points.
Constructors, destructor
| MyMessageHandler ()
| Default constructor.
| MyMessageHandler (ClpSimplex *model, FILE *userPointer=NULL)
| Constructor with pointer to model.
virtual | ~MyMessageHandler ()
| Destructor.
Copy method
| MyMessageHandler (const MyMessageHandler &)
| The copy constructor.
| MyMessageHandler (const CoinMessageHandler &)
| The copy constructor from an CoinSimplexMessageHandler.
MyMessageHandler & | operator= (const MyMessageHandler &)
virtual CoinMessageHandler * | clone () const
| Clone.

## Protected Attributes

Data members
The data members are protected to allow access for derived classes.
ClpSimplex * | model_
| Pointer back to model.
std::deque< StdVectorDouble > | feasibleExtremePoints_
| Saved extreme points.
int | iterationNumber_
| Iteration number so won't do same one twice.

## Detailed Description

Definition at line 27 of file MyMessageHandler.hpp.

## Constructor & Destructor Documentation

## MyMessageHandler() [1/4]

MyMessageHandler::MyMessageHandler | ( |  | ) |

Default constructor.

## MyMessageHandler() [2/4]

MyMessageHandler::MyMessageHandler | ( | ClpSimplex * | model,
|  | FILE * | userPointer = NULL )

Constructor with pointer to model.

## ~MyMessageHandler()

virtual MyMessageHandler::~MyMessageHandler | ( |  | ) |

virtual

Destructor.

## MyMessageHandler() [3/4]

MyMessageHandler::MyMessageHandler | ( | const MyMessageHandler & |  | ) |

The copy constructor.

## MyMessageHandler() [4/4]

MyMessageHandler::MyMessageHandler | ( | const CoinMessageHandler & |  | ) |

The copy constructor from an CoinSimplexMessageHandler.

## Member Function Documentation

## print()

virtual int MyMessageHandler::print | ( |  | ) |

virtual

## model()

const ClpSimplex * MyMessageHandler::model | ( |  | ) | const

Model.

## setModel()

void MyMessageHandler::setModel | ( | ClpSimplex * | model | ) |

## getFeasibleExtremePoints()

const std::deque< StdVectorDouble > & MyMessageHandler::getFeasibleExtremePoints | ( |  | ) | const

Get queue of feasible extreme points.

## clearFeasibleExtremePoints()

void MyMessageHandler::clearFeasibleExtremePoints | ( |  | ) |

Empty queue of feasible extreme points.

## operator=()

MyMessageHandler & MyMessageHandler::operator= | ( | const MyMessageHandler & |  | ) |

## clone()

virtual CoinMessageHandler * MyMessageHandler::clone | ( |  | ) | const

virtual

Clone.

## Member Data Documentation

## model_

ClpSimplex* MyMessageHandler::model_

protected

Pointer back to model.

Definition at line 73 of file MyMessageHandler.hpp.

## feasibleExtremePoints_

std::deque< StdVectorDouble > MyMessageHandler::feasibleExtremePoints_

protected

Saved extreme points.

Definition at line 75 of file MyMessageHandler.hpp.

## iterationNumber_

int MyMessageHandler::iterationNumber_

protected

Iteration number so won't do same one twice.

Definition at line 77 of file MyMessageHandler.hpp.

The documentation for this class was generated from the following file:

- Clp/src/MyMessageHandler.hpp